package entities

import (
	"github.com/google/uuid"
	"time"
)

type EntryLog struct {
	ID          uuid.UUID  `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	ProjectId   uuid.UUID  `gorm:"index"`
	TaskId      uuid.UUID  `gorm:"index"`
	CreatedAt   time.Time  `gorm:"auto_now:Add"`
	UpdatedAt   time.Time  `gorm:"auto_now:update"`
	StartTime   time.Time  `gorm:"default:null"`
	EndTime     time.Time  `gorm:"default:null"`
	Description string     `gorm:",omitempty" json:",omitempty"`
	DeletedAt   *time.Time `gorm:"default:null"`
}
