package entities

import (
	"github.com/google/uuid"
	"time"
)

type Task struct {
	ID                   uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	ProjectId            uuid.UUID
	SprintId             uuid.UUID
	MarathonId           uuid.UUID
	ReleaseId            uuid.UUID
	Status               uuid.UUID
	CreatedAt            time.Time
	UpdatedAt            time.Time
	ExpectedDeliveryDate time.Time
	FinalDeliveryDate    time.Time
	Description          string
}

type TaskComment struct {
	ID        uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	TaskId    uuid.UUID
	Content   string
	CreatedAt time.Time
	UpdatedAt time.Time
	UserId    uuid.UUID
}

type TaskHistory struct {
	ID                uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	TaskId            uuid.UUID
	CreatedAt         time.Time
	UpdatedAt         time.Time
	UserId            uuid.UUID
	TaskHistoryTypeId uuid.UUID
}

type TaskHistoryType struct {
	ID    uuid.UUID `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	Label string
}

type Status struct {
	ID          uuid.UUID  `gorm:"type:uuid;primaryKey;default:uuid_generate_v4()"`
	Name        string     `gorm:"size:255"`
	Description string     `gorm:"type:text"`
	CreatedAt   time.Time  `gorm:"default:now()"`
	UpdatedAt   time.Time  `gorm:"default:now()"`
	DeletedAt   *time.Time `gorm:"default:null"`
}
